Вопрос по ruby, ruby-on-rails – Получение неопределенного метода "генераторы" ошибка

0

Когда я запускаю RailsTorrent (https://github.com/raskhadafi/railstorrent), Я получил ошибку ниже:

[[email protected] railstorrent]# rails s
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/railtie/configuration.rb:85:in `method_missing': undefined method `generators' for #<Rails::Railtie::Configuration:0x000000024eef38> (NoMethodError)
from /usr/local/lib/ruby/gems/1.9.1/gems/inherited_resources-1.1.2/lib/inherited_resources.rb:24:in `<class:Railtie>'
from /usr/local/lib/ruby/gems/1.9.1/gems/inherited_resources-1.1.2/lib/inherited_resources.rb:22:in `<module:InheritedResources>'
from /usr/local/lib/ruby/gems/1.9.1/gems/inherited_resources-1.1.2/lib/inherited_resources.rb:3:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler/runtime.rb:68:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler/runtime.rb:68:in `block (2 levels) in require'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler/runtime.rb:66:in `each'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler/runtime.rb:66:in `block in require'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler/runtime.rb:55:in `each'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler/runtime.rb:55:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.1.4/lib/bundler.rb:119:in `require'
from /root/railstorrent/config/application.rb:7:in `<top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:53:in `require'
from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:53:in `block in <top (required)>'
from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:50:in `tap'
from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:50:in `<top (required)>'
from script/rails:6:in `require'
from script/rails:6:in `<main>'

Я использую Ruby 1.9.3p0 (2011-10-30, редакция 33570) [x86_64-linux], Rails 3.2.3 в моей системе CentOS 6.2.

Я искал код ошибки, но не могу найти о нем.

Как я могу решить это?

api.rubyonrails.org/classes/Rails/Railtie/… Yuri Barbashov

Ваш Ответ

1   ответ
1

Ваша версияinherited_resources (1.1.2) несовместимо с Rails 3.2.3, попробуйте обновитьinherited_resources до 1.3.1. Rails 3.1 устарелаconfig.generators в пользуconfig.app_generators и поэтому был выброшен в Rails 3.2

Похожие вопросы